// Functions needed in order to make the integration between optimizely and a third party work

/**
 * From https://segment.com/docs/connections/destinations/catalog/optimizely-web/#optimizely-full-stack-javascript-sdk
 * The instance must be named optmizelyClientInstance.
 * Attach the optimizelyClientInstance to the window so Segment recognizes it.
 * @param {object} param
 * @param {object} param.activeIntegrations
 * @param {object} param.optimizelyInstance
 */
var segment = function segment(_ref) {
  var activeIntegrations = _ref.activeIntegrations,
      optimizelyInstance = _ref.optimizelyInstance;

  if (activeIntegrations.segment && typeof window !== 'undefined' && !window.optimizelyClientInstance) {
    window.optimizelyClientInstance = optimizelyInstance;
  }
};

export default [segment];