import { useContext } from 'react';
import PdeContext from '../contexts/PdeContext';
/**
 * Hook to use a feature toggle
 * @param {string} featureKey
 * @param {object} options
 * @return {{isActive: boolean}}
 */

export default function useFeature(featureKey, options) {
  if (options === void 0) {
    options = {};
  }

  var _useContext = useContext(PdeContext),
      _useContext$features = _useContext.features,
      features = _useContext$features === void 0 ? [] : _useContext$features;

  var isActive = features.some(function (f) {
    return f === featureKey;
  });
  return {
    isActive: isActive
  };
}