import DefaultAdapter from './adapters/default';

var PDE = /*#__PURE__*/function () {
  /**
   * @constructor
   * @param {object} param
   * @param {object} param.adapter
   * @param {boolean} param.hasUserConsents
   */
  function PDE(_temp) {
    var _ref = _temp === void 0 ? {} : _temp,
        adapter = _ref.adapter,
        _ref$hasUserConsents = _ref.hasUserConsents,
        hasUserConsents = _ref$hasUserConsents === void 0 ? true : _ref$hasUserConsents;

    if (!adapter || !hasUserConsents) {
      adapter = new DefaultAdapter();
    }

    this._adapter = adapter;
  }

  var _proto = PDE.prototype;

  _proto.getEnabledFeatures = function getEnabledFeatures(_temp2) {
    var _ref2 = _temp2 === void 0 ? {} : _temp2,
        attributes = _ref2.attributes;

    return this._adapter.getEnabledFeatures({
      attributes: attributes
    });
  };

  _proto.activateExperiment = function activateExperiment(_ref3) {
    var name = _ref3.name;
    return this._adapter.activateExperiment({
      name: name
    });
  };

  return PDE;
}();

export { PDE as default };